=== modified file 'bzrlib/tests/test_version.py'
--- bzrlib/tests/test_version.py	2009-09-17 11:54:41 +0000
+++ bzrlib/tests/test_version.py	2009-12-02 16:36:22 +0000
@@ -14,9 +14,12 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 
-
 """Tests for versioning of bzrlib."""
 
+from cStringIO import StringIO
+import os
+import re
+
 from bzrlib import version, workingtree
 from bzrlib.tests import TestCase, TestSkipped
 
@@ -35,3 +38,13 @@
         else:
             # ensure that what we got was in fact a working tree instance.
             self.assertIsInstance(src_tree, workingtree.WorkingTree)
+
+    def test_python_binary_path(self):
+        self.permit_source_tree_branch_repo()
+        sio = StringIO()
+        version.show_version(show_config=False, show_copyright=False,
+            to_file=sio)
+        out = sio.getvalue()
+        m = re.search(r"Python interpreter: (.*) [0-9]", out)
+        self.assertIsNot(m, None)
+        self.failUnlessExists(m.group(1))

